/*
 * Project: irond
 * Package: src.de.fhhannover.inform.iron.mapserver.communication.services.ssrc
 * File:    EndSessionReceive.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.iron.mapserver.communication.services.ssrc;

import java.security.NoSuchAlgorithmException;

import org.trustedcomputinggroup._2010.ifmap._2.EndSessionType;
import org.trustedcomputinggroup._2010.ifmap._2.ResponseType;
import org.trustedcomputinggroup._2010.ifmap._2.SessionRequestType;

import de.fhhannover.inform.iron.mapserver.communication.connections.ConnectionContainer;
import de.fhhannover.inform.iron.mapserver.communication.connections.SSRC;
import de.fhhannover.inform.iron.mapserver.communication.services.ssrc.exceptions.SessionNotFoundException;

/**
 * EndSessionReceive class
 * 
 * Ends session of MAPC
 * 
 * @author dl
 * @version 0.1
 * 
 * created: 04.03.2010
 *
 * changes:
 *  05.03.2010 - fixed incorrect response
 *  04.03.2010 - class created
 *
 */

public class EndSessionReceive {
	
	public static ResponseType endSession(EndSessionType endSessionType)
	throws SessionNotFoundException, NoSuchAlgorithmException {
		
		SSRC session = ConnectionContainer.getInstance().getSessionBySessionID(endSessionType.getSessionId());
		session.closeConnection();
		
		ResponseType rt = new ResponseType();
		rt.setEndSessionResult(new ResponseType.EndSessionResult());
		return rt;
	}
}