/*
 * Project: irond
 * Package: src.de.fhhannover.inform.iron.mapserver.datamodel.graph
 * File:    Link.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.iron.mapserver.datamodel.graph;

/**
 * MetadataContainer
 * 
 * @author aw, vp
 * @version 0.1
 * created: 19.11.09
 * changes:
 *  01.12.09 vp - Created first version of this class
 *  10.12.09 vp - Constructor does not get identifiers from repository
 *  07.02.10 aw - added toString()
 */
public class Link extends MetadataContainer {
 
	private Identifier ident1;
	private Identifier ident2;
	 
	public Link(Identifier ident1, Identifier ident2){
		this.ident1 = ident1;
		this.ident2 = ident2;
	}
	
	public Identifier getOtherIdent(Identifier ident) {
		if (this.ident1.equals(ident)){
			return this.ident2;
		} else {
			return this.ident1;
		}
	}
	
	public Identifier getIdent1(){
		return this.ident1;
	}
	
	public Identifier getIdent2(){
		return this.ident2;
	}
	
	public int hashCode() {
		String hashString = (ident1.hashCode()+ident2.hashCode())+"";
		return hashString.hashCode();
	}
	
	@Override
	public boolean equals(Object o) {
		if (this == o)
			return true;

		if (o instanceof Link) {
			if (this.ident1.equals(((Link) o).getIdent1()) || this.ident1.equals(((Link) o).getIdent2())) {
				if (this.ident2.equals(((Link) o).getIdent1()) || this.ident2.equals(((Link) o).getIdent2())) {
					if (!(this.ident1.equals(ident2)) && !(((Link) o).getIdent2().equals(((Link) o).getIdent1()))) {
						return true;
					}
				}
			}
		}
		return false;
	}
	
	public String toString() {
		return "Link<" + ident1 + " " + ident2 + ">";
		
	}
	 
}
 
